#include <iostream>

using namespace std;

int main() {
    int n,k,x;
    int ukupno = 0;
    cin >> n >> k;
    int pogodjen[2*n+1] = { }; // [br polja]=puta pogodjen
    for (int i=0; i<n; i++)
    {
        cin >> x;
        pogodjen[x+n]+=1;
    }
    for (int j=0; j<2*n+1; j++)
    {
        if (pogodjen[j]>=k)
        {
            ukupno+=1;
        }
    }
    cout << ukupno << "\n";
    for (int j=0; j<2*n+1; j++)
    {
        if (pogodjen[j]>=k)
        {
            cout << j-n << " ";
        }
    }
    return 0;
}